org.apache.olingo.odata2.jpa.processor.api.model

## Interface JPAEdmEntityTypeView

- All Superinterfaces:
    JPAEdmBaseView

      public interface JPAEdmEntityTypeView
      extends JPAEdmBaseView

  A view on Java Persistence entity types and EDM entity types. Java persistence entity types are converted into EDM entity types.

  The implementation of the view provides access to EDM entity types for the given JPA EDM model. The view acts as a container for consistent list of EDM entity types. An EDM entity type is said to be consistent only if it has at least one consistent EDM property and at least one consistent EDM key.

  See Also:
    `JPAEdmPropertyView`, `JPAEdmKeyView`, `JPAEdmNavigationPropertyView`
  Do not implement this interface or derive from class.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<EntityType>` | `getConsistentEdmEntityTypes()` The method returns a consistent list of EDM entity types for a given java persistence meta model.
    `EntityType` | `getEdmEntityType()` The method returns an EDM entity currently being processed.
    `javax.persistence.metamodel.EntityType<?>` | `getJPAEntityType()` The method returns java persistence Entity type currently being processed.
    `EntityType` | `searchEdmEntityType(String jpaEntityTypeName)` The method searches in the consistent list of EDM entity types for the given EDM entity type's name.

    - ### Methods inherited from interface org.apache.olingo.odata2.jpa.processor.api.model.JPAEdmBaseView

      `clean, getBuilder, getJPAEdmExtension, getJPAEdmMappingModelAccess, getJPAMetaModel, getpUnitName, isConsistent, isDefaultNamingSkipped`

- - ### Method Detail

    - #### getEdmEntityType

          EntityType getEdmEntityType()

      The method returns an EDM entity currently being processed.
      Returns:
        an instance of type `EntityType`

    - #### getJPAEntityType

          javax.persistence.metamodel.EntityType<?> getJPAEntityType()

      The method returns java persistence Entity type currently being processed.
      Returns:
        an instance of type `EntityType`

    - #### getConsistentEdmEntityTypes

          List<EntityType> getConsistentEdmEntityTypes()

      The method returns a consistent list of EDM entity types for a given java persistence meta model.
      Returns:
        a list of `EntityType`

    - #### searchEdmEntityType

          EntityType searchEdmEntityType(String jpaEntityTypeName)

      The method searches in the consistent list of EDM entity types for the given EDM entity type's name.
      Parameters:
        `jpaEntityTypeName` - is the name of EDM entity type
      Returns:
        a reference to EDM entity type if found else null

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.